# Defaults for any projects

source_env_if_exists .local.env
source_env_if_exists project.env

# GitLab
GITLAB_BASE_URL=${GITLAB_BASE_URL:-"https://gitlab.com"}
GITLAB_API_URL=${GITLAB_API_URL:-"$GITLAB_BASE_URL/api/v4/"}

# Refs
BUILD_REF="v0.0.0"
BUILD_SHA="00000000"

# Template
TPL_TEMPLATE_VARIATION=

# For pulling private modules
GOPRIVATE=${GO_PRIVATE:-"gitlab.com"}

# Pulumi
PULUMI_BACKEND_URL=$PULUMI_BACKEND_URL
PULUMI_ENCRYPTION_PROVIDER=$PULUMI_ENCRYPTION_PROVIDER
PULUMI_PATH=/workspace

# Vault
VAULT_ADDR=$VAULT_ADDR
VAULT_NAMESPACE=${VAULT_NAMESPACE:-"default"}
VAULT_AUTH_PATH=${VAULT_AUTH_PATH:-"oidc"}
VAULT_AUTH_ROLE=$VAULT_AUTH_ROLE

# Startup
READY=1
source_env ${TPL_LIB_DIRENV}/startup.env
